Summary: A graphical interface for administering users and groups
Name: redhat-config-users
Version: 1.0.1
Release: 5
URL: http://www.redhat.com/
License: GPL
ExclusiveOS: Linux
Group: Applications/System
BuildRoot: %{_tmppath}/redhat-config-users-%{version}-root
BuildArch: noarch
Source: redhat-config-users-%{version}.tar.bz2
Requires: libuser
Requires: python2
Requires: pygtk2
Requires: pygtk2-libglade
Requires: usermode >= 1.36
BuildPrereq: python2

%description
redhat-config-users is a graphical utility for administrating 
users and groups.  It depends on the libuser library.

%prep
%setup -q

%build
make

%install
make INSTROOT=$RPM_BUILD_ROOT install

# Byte-compile all of the python modules.
python -c "import compileall; compileall.compile_dir(dir='$RPM_BUILD_ROOT',ddir='/')"

%find_lang %name
find $RPM_BUILD_ROOT%{_datadir} -name "*.mo" | xargs ./utf8ify-mo

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING
%doc doc/*
/usr/bin/redhat-config-users
%dir /usr/share/redhat-config-users
/usr/share/redhat-config-users/*
#%{_mandir}/man8/redhat-config-users*
%attr(0644,root,root) %config /etc/X11/applnk/System/redhat-config-users.desktop
%attr(0644,root,root) %config /etc/X11/sysconfig/redhat-config-users.desktop
%attr(0644,root,root) %config /etc/security/console.apps/redhat-config-users
%attr(0644,root,root) %config /etc/pam.d/redhat-config-users
%attr(0644,root,root) %config (noreplace) /etc/sysconfig/redhat-config-users
%attr(0644,root,root) %config /usr/share/pixmaps/redhat-config-users.png

%changelog
* Thu Apr 18 2002 Nalin Dahyabhai <nalin@redhat.com> 1.0.1-5
- Convert .mo files to UTF-8 at install-time, fixing #63815 correctly (probably)
* Thu Apr 18 2002 Nalin Dahyabhai <nalin@redhat.com> 1.0.1-4
- Don't bail on LookupErrors when recoding strings, just punt (#63815)
* Tue Apr 16 2002 Nalin Dahyabhai <nalin@redhat.com> 1.0.1-3
- Don't bail on IOErrors when saving preferences to /etc/sysconfig
* Tue Apr 16 2002 Brent Fox <bfox@redhat.com> 1.0.1-2
- Add set_transient_for calls to bring dialogs to the front in KDE (#61590)
* Tue Apr 16 2002 Nalin Dahyabhai <nalin@redhat.com> 1.0.1-1
- Handle cases where translations are encoded in non-UTF8 encodings (#63334)
* Mon Apr 15 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.0-14
- Update translations
* Tue Apr 09 2002 Brent Fox <bfox@redhat.com>
- Added workaround for bug 62919
* Fri Apr 05 2002 Brent Fox <bfox@redhat.com>
- Added changes to use a new icon
* Thu Mar 28 2002 Brent Fox <bfox@redhat.com>
- Finished port to Python2.2/Gtk2
* Wed Feb 27 2002 Brent Fox <bfox@redhat.com> 
- Added sortable columns
* Fri Jan 25 2002 Nalin Dahyabhai <nalin@redhat.com> 0.9.2-7
- rebuild for completeness
* Wed Aug 29 2001 Brent Fox <bfox@redhat.com>
- Fixed desktop file problem
- Nakai added Japanese support to the desktop file
* Thu Aug 9 2001 Tammy Fox <tfox@redhat.com>
- added documentation
* Thu Aug 9 2001 Nalin Dahyabhai <nalin@redhat.com>
- Attempt to minimize enumerations where possible
- Always use defined constants for attribute names
* Thu Aug 9 2001 Brent Fox <bfox@redhat.com>
- fixes for password aging
* Wed Aug  8 2001 Nalin Dahyabhai <nalin@redhat.com>
- byte-compile python modules in %%install and include them in the package
* Wed Jul 26 2001 Yukihiro Nakai <ynakai@redhat.com>
- Add Japanese translation
* Wed Jul 26 2001  Yukihiro Nakai <ynakai@redhat.com>
- Directory restructure for i18n
* Tue Jul 10 2001 Brent Fox <bfox@redhat.com>
- some glade fixups and packaging work
* Mon Jul 09 2001 Tammy Fox <tfox@redhat.com>
- added usermode files to spec file
* Tue Jul 05 2001 Brent Fox <bfox@redhat.com>
- initial packaging
* Wed Jun 13 2001 Brent Fox <bfox@redhat.com>
- mainWindow.glade: Changed GUI per jrb's recommendations
- mainWindow.py: added interfacing with libuser backend
* Wed Jun 6 2001 Jonathan Blandford  <jrb@redhat.com>
- mainWindow.glade: Cleaned up glade file a bunch.
- mainWindow.py: modified to deal with updated glade.


